Deploy a cluster
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/deploy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "BUILDING",
"is_deployed": true,
"reason": "UNSPECIFIED",
"next_k8s_available_version": "1.28",
"last_execution_id": "f73e3833-922a-48a5-9dbd-6163f43f9143-1656410242",
"cluster_lock": {
"reason": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locked_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"ttl_in_days": 123
},
"last_deployment_date": "2022-06-22T14:20:17.733084815Z"
}Clusters
Deploy a cluster
allows to deploy a cluster
POST
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
deploy
Deploy a cluster
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Query Parameters
default: false. Decide if the deployment of the cluster should be done in dry_run mode. Avoiding any changes
Response
Deploy cluster
Available options:
BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, DRY_RUN, QUEUED, READY, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, RESTART_QUEUED, RESTARTING, RESTARTED, RESTART_ERROR, INVALID_CREDENTIALS Available options:
UNSPECIFIED, MAINTENANCE Example:
"1.28"
Example:
"f73e3833-922a-48a5-9dbd-6163f43f9143-1656410242"
Show child attributes
Show child attributes
Example:
"2022-06-22T14:20:17.733084815Z"
Was this page helpful?